summaryrefslogtreecommitdiff
path: root/tools/buildbot/slaves/svn-x64-macosx-gnu-shared
diff options
context:
space:
mode:
Diffstat (limited to 'tools/buildbot/slaves/svn-x64-macosx-gnu-shared')
-rwxr-xr-xtools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnbuild.sh44
-rwxr-xr-xtools/buildbot/slaves/svn-x64-macosx-gnu-shared/svncheck.sh40
-rwxr-xr-xtools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnclean.sh31
-rwxr-xr-xtools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnlog.sh31
4 files changed, 146 insertions, 0 deletions
diff --git a/tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnbuild.sh b/tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnbuild.sh
new file mode 100755
index 0000000..a8750eb
--- /dev/null
+++ b/tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnbuild.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+#
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+#
+
+echo "========= autogen.sh"
+./autogen.sh || exit $?
+
+echo "========= configure"
+./configure --without-serf --with-apxs=/usr/sbin/apxs --without-berkeley-db --prefix=/Users/buildslave17/slave17/osx10.6-gcc4.2.1-x64/build/svninstall --with-apache-libexecdir=/Users/buildslave17/slave17/osx10.6-gcc4.2.1-x64/build/libexec || exit $?
+
+echo "========= make"
+make || exit $?
+
+echo "========= make swig-py"
+make swig-py || exit $?
+
+#echo "========= make swig-pl"
+#make swig-pl || exit $?
+
+#echo "========= make swig-rb"
+#make swig-rb || exit $?
+
+echo "========= make install"
+make install || exit $?
+
+exit 0
diff --git a/tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svncheck.sh b/tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svncheck.sh
new file mode 100755
index 0000000..7233d3c
--- /dev/null
+++ b/tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svncheck.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+#
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+#
+
+set -x
+
+if test -z "$1" ; then
+ echo "Missing FS_TYPE specifier (arg #1)."
+ exit 1
+fi
+
+echo "========= make check"
+if [ "$2" = "ra_serf" ]; then
+ make davautocheck FS_TYPE=$1 HTTP_LIBRARY=serf CLEANUP=1 || s=$?;
+else
+ make davautocheck FS_TYPE=$1 CLEANUP=1 || s=$?;
+fi
+
+echo "========= cat tests.log"
+cat tests.log
+
+exit $s
diff --git a/tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnclean.sh b/tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnclean.sh
new file mode 100755
index 0000000..586e203
--- /dev/null
+++ b/tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnclean.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+#
+
+# ../unmount_ramd.sh
+
+echo "========= make extraclean"
+test -e Makefile && { make extraclean || exit $?; }
+rm -rf ../build/*
+rm -rf .svn
+rm -rf .buildbot-sourcedata
+
+exit 0
diff --git a/tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnlog.sh b/tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnlog.sh
new file mode 100755
index 0000000..ce845f8
--- /dev/null
+++ b/tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnlog.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+#
+
+# upload file to server
+FILENAME=tests-`date +%Y%m%d%H%M`.log.tgz
+tar -czf $FILENAME tests.log
+ftp -n www.mobsol.be < ../ftpscript
+rm $FILENAME
+
+echo "Logs of the testrun can be found here: http://www.mobsol.be/logs/osx10.4-gcc4.0.1-ia32/$FILENAME"
+
+exit 0